#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	XML
%define		pnam	SAX-Writer
Summary:	XML::SAX::Writer - SAX2 XML writer
Summary(pl.UTF-8):	XML::SAX::Writer - zapis w XML-u z SAX2
Name:		perl-XML-SAX-Writer
Version:	0.56
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/XML/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	e5fa5e2b2f6867b1aca9b5b43e1ce361
URL:		http://search.cpan.org/dist/XML-SAX-Writer/
BuildRequires:	perl-devel >= 1:5.8.0
%if %{with tests}
BuildRequires:	perl-Encode >= 2.12
BuildRequires:	perl-Test-Simple >= 0.40
BuildRequires:	perl-XML-Filter-BufferText >= 1.00
BuildRequires:	perl-XML-NamespaceSupport >= 1.00
BuildRequires:	perl-XML-SAX
BuildRequires:	perl(XML::SAX::Exception) >= 1.01
%endif
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	perl-Encode >= 2.12
Requires:	perl-XML-Filter-BufferText >= 1.00
Requires:	perl-XML-NamespaceSupport >= 1.00
Requires:	perl(XML::SAX::Exception) >= 1.01
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
XML::SAX::Writer Perl module - SAX2 XML Writer.

%description -l pl.UTF-8
Moduł Perla XML::SAX::Writer - zapisujący w XML-u z SAX2.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README README.md
%{perl_vendorlib}/XML/SAX/Writer.pm
%{perl_vendorlib}/XML/SAX/Writer
%{_mandir}/man3/XML::SAX::Writer*.3pm*
%changelog
* Tue Jul 04 2017 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-XML-SAX-Writer.git;a=log;h=master

* Sun Jan 10 2016 Jakub Bogusz <qboosh@pld-linux.org> fbd6556
- updated to 0.56

* Sun Dec 04 2011 Jakub Bogusz <qboosh@pld-linux.org> b99b6c4
- added generic URL

* Fri Jul 01 2011 marti <marti@pld-linux.org> cbb1e08
- up to 0.53

* Thu Oct 08 2009 amateja <amateja@pld-linux.org> 584e662
- updated to 0.52

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 5b282ff
- release 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 8aee99b
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> b843172
- converted to UTF-8

* Fri Sep 22 2006 radek <radek@pld-linux.org> dbf592f
- version 0.50, minor summary tweak

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 38fc950
- formatting

* Sat Jun 05 2004 radek <radek@pld-linux.org> 47598e8
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

* Fri May 07 2004 ankry <ankry@pld-linux.org> 472408d
- rel. 3

* Thu May 06 2004 ankry <ankry@pld-linux.org> 5f2d444
- fixed perl-devel BR

* Thu May 06 2004 ankry <ankry@pld-linux.org> e96fc70
- cosmetics

* Wed May 05 2004 ankry <ankry@pld-linux.org> 855cdbd
- license unification, cosmetics

* Tue Apr 27 2004 ankry <ankry@pld-linux.org> 56d2e09
- new bconds

* Thu Apr 15 2004 ankry <ankry@pld-linux.org> 9b040bd
- cosmetics, unification

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> 5f3d3fb
- mass commit: cosmetics (removed trailing white spaces)

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 751d00a
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> e32269d
- massive attack s/pld.org.pl/pld-linux.org/

* Fri Apr 11 2003 radek <radek@pld-linux.org> be47d28
- BR: perl-devel; do not BR: perl

